package school_project;

import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.input.MouseButton;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.HBox;
import javafx.scene.paint.Color;
import school_project.Utils.MatrixShape;

import java.io.FileNotFoundException;

public class GameUI extends BorderPane {
    public final static int SEGMENT_SIZE = 50;
    public final static int SPACE_SIZE = 5;
    public GameUI(Map level) throws FileNotFoundException {
        super();

        MatrixShape grid = new MatrixShape(level);
        grid.setAlignment(Pos.CENTER);
        grid.setColor(Color.WHITE);

        HBox pieces = new HBox();
        pieces.setSpacing(10);
        for (Piece p : level.getPieces()) {
            MatrixShape _piece = new MatrixShape(p);
            _piece.setOnMouseClicked(event -> {
                if(event.getButton() == MouseButton.SECONDARY){
                    ((Piece) _piece.shape).RotateRight(1);
                    _piece.update();
                }
            });
            pieces.getChildren().add(_piece);
        }

        setCenter(grid);
        setBottom(pieces);
    }
}
